HEX
Server: LiteSpeed
System: Linux ip-172-31-76-142.ec2.internal 4.14.158-129.185.amzn2.x86_64 #1 SMP Tue Dec 24 03:15:32 UTC 2019 x86_64
User: 69b4844ae61d4e92bf26ad98af552775 (1065)
PHP: 7.2.27
Disabled: exec,passthru,shell_exec,system,eval
Upload Files
File: //usr/share/doc/python-jinja2-2.7.2/html/_sources/index.txt
Welcome to Jinja2
=================

Jinja2 is a modern and designer friendly templating language for Python,
modelled after Django's templates.  It is fast, widely used and secure
with the optional sandboxed template execution environment:

.. sourcecode:: html+jinja

   <title>{% block title %}{% endblock %}</title>
   <ul>
   {% for user in users %}
     <li><a href="{{ user.url }}">{{ user.username }}</a></li>
   {% endfor %}
   </ul>

**Features:**

-   sandboxed execution
-   powerful automatic HTML escaping system for XSS prevention
-   template inheritance
-   compiles down to the optimal python code just in time
-   optional ahead of time template compilation
-   easy to debug.  Line numbers of exceptions directly point to
    the correct line in the template.
-   configurable syntax

.. include:: contents.rst.inc

If you can't find the information you're looking for, have a look at the
index or try to find it using the search function:

* :ref:`genindex`
* :ref:`search`